summaryrefslogtreecommitdiff
path: root/t/man2.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/man2.sh')
-rwxr-xr-xt/man2.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/t/man2.sh b/t/man2.sh
index 38c399288..7a1c5d747 100755
--- a/t/man2.sh
+++ b/t/man2.sh
@@ -36,15 +36,17 @@ $ACLOCAL
$AUTOCONF
$AUTOMAKE
+cwd=$(pwd) || fatal_ "getting current working directory"
+
# Let's play with $DESTDIR too, it shouldn't hurt.
./configure --prefix='' --mandir=/man
-$MAKE DESTDIR="`pwd`/_inst" install
+$MAKE DESTDIR="$cwd/_inst" install
test -f ./_inst/man/man2/foo.2
test -f ./_inst/man/man4/foo.4
test -f ./_inst/man/man4/bar.4
-$MAKE DESTDIR="`pwd`/_inst" uninstall
+$MAKE DESTDIR="$cwd/_inst" uninstall
test ! -f ./_inst/man/man2/foo.2
test ! -f ./_inst/man/man4/foo.4